> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Prompt runs

> Get Prompt runs for feedback analysis based on filter conditions passed in.



## OpenAPI

````yaml post /feedback-report/prompt-runs
openapi: 3.0.1
info:
  title: api.domain.ai
  version: v1
servers:
  - url: https://api.hyperleapai.com
security:
  - ApiKeyAuth: []
paths:
  /feedback-report/prompt-runs:
    post:
      tags:
        - Feedback Report
      summary: Prompt runs
      description: >-
        Get Prompt runs for feedback analysis based on filter conditions passed
        in.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuditReportRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/AuditReportRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/AuditReportRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    AuditReportRequest:
      type: object
      properties:
        callerId:
          type: string
          format: uuid
          nullable: true
        startDate:
          type: string
          format: date-time
          nullable: true
        endDate:
          type: string
          format: date-time
          nullable: true
        pageSize:
          maximum: 20
          minimum: 1
          type: integer
          format: int32
        appHeaders:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        promptId:
          type: string
          format: uuid
          nullable: true
        promptVersionId:
          type: string
          format: uuid
          nullable: true
        promptRunId:
          type: string
          format: uuid
          nullable: true
        conversationRunId:
          type: string
          format: uuid
          nullable: true
        workspaceId:
          type: string
          format: uuid
          nullable: true
        conversationId:
          type: string
          format: uuid
          nullable: true
        lookupTypes:
          type: array
          items:
            type: string
          nullable: true
          readOnly: true
        userId:
          type: string
          format: uuid
          nullable: true
          readOnly: true
        isAdmin:
          type: boolean
          readOnly: true
        organizationId:
          type: string
          format: uuid
          nullable: true
          readOnly: true
        continuationToken:
          type: string
          nullable: true
        includeFeedback:
          type: boolean
        feedback:
          $ref: '#/components/schemas/AuditFeedback'
      additionalProperties: false
    AuditFeedback:
      type: object
      properties:
        score:
          type: integer
          format: int32
          nullable: true
        scoreText:
          type: string
          nullable: true
        scoreTags:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-hl-api-key

````